Build failed in Jenkins: IcedTea8TargetTesting #763

Hudson Admin gnu.andrew at redhat.com
Wed Jun 4 08:48:13 UTC 2014


See <http://toadeater.yyz.redhat.com:8080/job/IcedTea8TargetTesting/763/>

------------------------------------------
[...truncated 603 lines...]
  fi ; \
fi
set -e ; \
if [ ! -z langtools.tar.gz ] ; then \
  if test -e langtools.tar.gz ; \
  then \
    if ! test -d openjdk/langtools ; \
    then \
      case "langtools.tar.gz" in \
        *.zip) /bin/unzip -q langtools.tar.gz ;; \
        *.tar.*) /bin/tar xf langtools.tar.gz ;; \
      esac; \
      mv langtools-dd7b57ab4ab1 openjdk/langtools ; \
    fi ; \
  fi ; \
fi
rm -rf openjdk/jdk/make/tools/src/build/tools/javazic
touch stamps/extract-openjdk.stamp
mkdir -p stamps
touch stamps/download-cacao.stamp
mkdir -p stamps
touch stamps/extract-cacao.stamp
set -e ; \
if [ ! -z hotspot.tar.gz ] ; then \
  if test -e hotspot.tar.gz ; \
  then \
    case "hotspot.tar.gz" in \
      *.zip) /bin/unzip -q hotspot.tar.gz ;; \
      *.tar.*) /bin/tar xf hotspot.tar.gz ;; \
    esac; \
    if test "xdefault" != "xdefault"; then \
      rm -rf openjdk/hotspot ; \
    fi ; \
    if ! test -d openjdk/hotspot ; \
    then \
      mv hotspot-"`gawk 'version==$1 {print $3}' version=default /notnfs/nighttester/icedtea8-target-testing/hotspot.map`" openjdk/hotspot ; \
    else \
      rm -rf hotspot-"`gawk 'version==$1 {print $3}' version=default /notnfs/nighttester/icedtea8-target-testing/hotspot.map`" ; \
    fi ; \
  fi ; \
fi
touch stamps/extract-hotspot.stamp
if ! echo "fb245c9a4a47b68aece3c4f0cac6fc8ac91c8458bb91648b9a8e3d95ed3981ea  nashorn.tar.gz" \
  | /bin/sha256sum --check ; \
then \
  if [ nashorn.tar.gz ] ; \
  then \
    mv nashorn.tar.gz nashorn.tar.gz.old ; \
  fi ; \
  /bin/wget http://icedtea.classpath.org/hg/icedtea8-forest/nashorn/archive/fdcdffd5b5b1.tar.gz -O nashorn.tar.gz; \
  if ! echo "fb245c9a4a47b68aece3c4f0cac6fc8ac91c8458bb91648b9a8e3d95ed3981ea  nashorn.tar.gz" \
    | /bin/sha256sum --check ; \
  then echo "ERROR: Bad download of NASHORN zip"; false; \
  fi; \
fi ;
/bin/sha256sum: nashorn.tar.gz: No such file or directory
nashorn.tar.gz: FAILED open or read
/bin/sha256sum: WARNING: 1 listed file could not be read
mv: cannot stat ‘nashorn.tar.gz’: No such file or directory
--2014-06-04 04:47:50--  http://icedtea.classpath.org/hg/icedtea8-forest/nashorn/archive/fdcdffd5b5b1.tar.gz
Resolving icedtea.classpath.org (icedtea.classpath.org)... 208.78.240.231
Connecting to icedtea.classpath.org (icedtea.classpath.org)|208.78.240.231|:80... connected.
HTTP request sent, awaiting response... 302 Found
Location: http://icedtea.wildebeest.org/hg/icedtea8-forest/nashorn/archive/fdcdffd5b5b1.tar.gz [following]
--2014-06-04 04:47:50--  http://icedtea.wildebeest.org/hg/icedtea8-forest/nashorn/archive/fdcdffd5b5b1.tar.gz
Resolving icedtea.wildebeest.org (icedtea.wildebeest.org)... 212.238.236.112
Connecting to icedtea.wildebeest.org (icedtea.wildebeest.org)|212.238.236.112|:80... connected.
HTTP request sent, awaiting response... 200 Script output follows
Length: unspecified [application/x-gzip]
Saving to: ‘nashorn.tar.gz’

     0K .......... .......... .......... .......... .......... 79.3K
    50K .......... .......... .......... .......... ..........  326K
   100K .......... .......... .......... .......... ..........  532K
   150K .......... .......... .......... .......... ..........  807K
   200K .......... .......... .......... .......... ..........  548K
   250K .......... .......... .......... .......... ..........  839K
   300K .......... .......... .......... .......... ..........  109K
   350K .......... .......... .......... .......... .......... 90.5K
   400K .......... .......... .......... .......... ..........  126K
   450K .......... .......... .......... .......... ..........  324K
   500K .......... .......... .......... .......... ..........  326K
   550K .......... .......... .......... .......... ..........  384K
   600K .......... .......... .......... .......... ..........  408K
   650K .......... .......... .......... .......... ..........  237K
   700K .......... .......... .......... .......... ..........  264K
   750K .......... .......... .......... .......... ..........  266K
   800K .......... .......... .......... .......... .......... 90.0K
   850K .......... .......... .......... .......... ..........  246K
   900K .......... .......... .......... .......... ..........  325K
   950K .......... .......... .......... .......... ..........  483K
  1000K .......... .......... .......... .......... ..........  949K
  1050K .......... .......... .......... .......... ..........  496K
  1100K .......... .......... .......... .......... .......... 39.2K
  1150K .......... .......... .......... .......... .......... 26.8K
  1200K .......... .......... .......... .......... ..........  163K
  1250K .......... .......... .......... .......... ..........  258K
  1300K .......... .......... .......... .......... ..........  419K
  1350K .......... .......... .......... .......... ..........  338K
  1400K .......... .......... .......... .......... .......... 88.6K
  1450K .......... .......... .......... .......... ..........  324K
  1500K .......... .......... .......... .......... ..........  328K
  1550K .......... .......... .......... .......... .......... 4.07M
  1600K .......... .......... .......... .......... ..........  351K
  1650K .......... .......... .......... .......... .......... 2.79M
  1700K .......... .......... .......... .......... ..........  762K
  1750K .......... .......... .......... .......... ..........  654K
  1800K .......... .......... .......... .......... .......... 2.27M
  1850K .......... .......... .......... .......... ..........  934K
  1900K .......... .......... .......... .......... ..........  697K
  1950K .......... .......... .......... .......... .......... 3.42M
  2000K .......... .......... .......... .......... .......... 2.27M
  2050K .......... .......... .......... .......... .......... 2.32M
  2100K .......... .......... .......... .......... .......... 1.92M
  2150K .......... .......... .......... .......... .......... 1.23M
  2200K .......... .......... .......... .......... .......... 1.28M
  2250K .......... .......... .......... .......... .......... 2.27M
  2300K .......... .......... .......... .......... .......... 2.27M
  2350K .......... .......... .......... .......... .......... 2.22M
  2400K .......... .......... .......... .......... .......... 2.27M
  2450K .......... .......... .......... .......... .......... 2.27M
  2500K .......... .......... .......... .......... .......... 2.27M
  2550K .......... .......... .......... .......... .......... 2.22M
  2600K .......... .......... .......... .......... .......... 2.27M
  2650K .......... .......... .......... .......... .......... 2.32M
  2700K .......... .......... .......... .......... .......... 2.22M
  2750K .......... .......... .......... .......... .......... 2.27M
  2800K .......... .......... .......... .......... ..........  705K
  2850K .......... .......... .......... .......... ..........  137K
  2900K ..........                                             10.0M=11s

2014-06-04 04:48:12 (267 KB/s) - ‘nashorn.tar.gz’ saved [2980376]

nashorn.tar.gz: OK
mkdir -p stamps
touch stamps/download-nashorn.stamp
set -e ; \
if [ ! -z nashorn.tar.gz ] ; then \
  if test -e nashorn.tar.gz ; \
  then \
    if ! test -d openjdk/nashorn ; \
    then \
      case "nashorn.tar.gz" in \
        *.zip) /bin/unzip -q nashorn.tar.gz ;; \
        *.tar.*) /bin/tar xf nashorn.tar.gz ;; \
      esac; \
      mv nashorn-fdcdffd5b5b1 openjdk/nashorn ; \
    fi ; \
  fi ; \
fi
mkdir -p stamps
touch stamps/extract-nashorn.stamp
chmod -R ug+w openjdk 
sh ./fsg.sh
Further liberating OpenJDK...
touch stamps/sanitise-openjdk.stamp
sh /notnfs/nighttester/icedtea8-target-testing/remove-intree-libraries.sh
Removing zlib
touch stamps/remove-intree-libraries.stamp
mkdir -p stamps
touch stamps/extract-jamvm.stamp
mkdir -p stamps
touch stamps/extract.stamp
mkdir -p stamps ; \
rm -f stamps/patch-fsg.stamp.tmp ; \
touch stamps/patch-fsg.stamp.tmp ; \
all_patches_ok=yes; \
for p in  ; \
do \
  if test x${all_patches_ok} = "xyes" \
    && echo Checking $p \
    && /bin/patch -l -p0 --dry-run -s -t -f \
      -F 0 < /notnfs/nighttester/icedtea8-target-testing/$p ; \
  then \
    echo Applying $p ; \
    /bin/patch -l -p0 < /notnfs/nighttester/icedtea8-target-testing/$p ; \
    if ! grep "^\* $(basename $p)" /notnfs/nighttester/icedtea8-target-testing/HACKING \
      >> stamps/patch-fsg.stamp.tmp ; \
    then \
      echo "* $(basename $p): UNDOCUMENTED" \
        >> stamps/patch-fsg.stamp.tmp ; \
    fi ; \
  else \
    test x${all_patches_ok} = "xyes" && all_patches_ok=$p ; \
  fi ; \
done ; \
mv stamps/patch-fsg.stamp.tmp stamps/patch-fsg.stamp ; \
if ! test x${all_patches_ok} = "xyes"; then \
  echo ERROR patch ${all_patches_ok} FAILED! ; \
  echo WARNING make clean-patch before retrying a fix ; \
  exit 2; \
fi ; 
mkdir -p stamps ; \
rm -f stamps/patch.stamp.tmp ; \
touch stamps/patch.stamp.tmp ; \
all_patches_ok=yes; \
cd /notnfs/nighttester/icedtea8-target-testing/openjdk/jdk; \
for p in  ; \
do \
  if test x${all_patches_ok} == "xyes" \
     && echo Checking $p \
     && /bin/patch -l -p1 --dry-run -s -t -f -F 0 < /notnfs/nighttester/icedtea8-target-testing/$p ; \
  then \
    echo Applying $p ; \
    /bin/patch -l -p1 < /notnfs/nighttester/icedtea8-target-testing/$p ; \
  else \
    test x${all_patches_ok} == "xyes" && all_patches_ok=$p ; \
  fi ; \
done ; \
cd /notnfs/nighttester/icedtea8-target-testing ; \
for p in patches/memory-limits.patch patches/override-redirect-metacity.patch    patches/systemtap-gcc-4.5.patch  patches/nss-not-enabled-config.patch  ; \
do \
  if test x${all_patches_ok} = "xyes" \
    && echo Checking $p \
    && /bin/patch -l -p0 --dry-run -s -t -f \
      -F 0 < /notnfs/nighttester/icedtea8-target-testing/$p ; \
  then \
    echo Applying $p ; \
    /bin/patch -l -p0 < /notnfs/nighttester/icedtea8-target-testing/$p ; \
    if ! grep "^\* $(basename $p)" /notnfs/nighttester/icedtea8-target-testing/HACKING \
      >> stamps/patch.stamp.tmp ; \
    then \
      echo "* $(basename $p): UNDOCUMENTED" \
        >> stamps/patch.stamp.tmp ; \
    fi ; \
  else \
    test x${all_patches_ok} = "xyes" && all_patches_ok=$p ; \
  fi ; \
done ; \
if ! test x${all_patches_ok} = "xyes"; then \
  echo ERROR patch ${all_patches_ok} FAILED! ; \
  echo WARNING make clean-patch before retrying a fix ; \
  exit 2; \
fi ; \
mv stamps/patch.stamp.tmp stamps/patch.stamp 
Checking patches/memory-limits.patch
The text leading up to this was:
--------------------------
|diff -Nru openjdk.orig/hotspot/src/share/vm/runtime/globals.hpp openjdk/hotspot/src/share/vm/runtime/globals.hpp
|--- openjdk.orig/hotspot/src/share/vm/runtime/globals.hpp	2014-04-23 22:06:29.000000000 +0100
|+++ openjdk/hotspot/src/share/vm/runtime/globals.hpp	2014-05-12 20:42:01.633428300 +0100
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored
ERROR patch patches/memory-limits.patch FAILED!
WARNING make clean-patch before retrying a fix
make: *** [stamps/patch.stamp] Error 2
+ exit 1
Build step 'Execute shell' marked build as failure


More information about the icedtea-test mailing list